#!/usr/bin/python
##### Risanje polarnega smernega diagrama - S53MV 1.12.2017 #####

import math			#uporabljene funkcije
import matplotlib.pyplot as plt

x1=[]	#priprava krogov
y1=[]
x2=[]
y2=[]
x3=[]
y3=[]
x4=[]
y4=[]
xx=[]
yy=[]
i=0
while i<=3600:
	s=math.sin(math.radians(i*0.1))
	c=math.cos(math.radians(i*0.1))
	x1=x1+[s/4]
	y1=y1+[c/4]
	x2=x2+[s/2]
	y2=y2+[c/2]
	x3=x3+[3*s/4]
	y3=y3+[3*c/4]
	x4=x4+[s]
	y4=y4+[c]
	i=i+1
l=0.2			#narisi kroge koordinatne mreze
plt.plot(x1,y1,'g-',lw=l)	#krog polmera 0.25
plt.plot(x2,y2,'g-',lw=l)	#krog polmera 0.5
plt.plot(x3,y3,'g-',lw=l)	#krog polmera 0.75
plt.plot(x4,y4,'g-',lw=l)	#krog polmera 1

k=0			#razdelki po 30 stopinj
while k<360:
	xk=math.sin(math.radians(k))*0.25
	yk=math.cos(math.radians(k))*0.25
	plt.plot([0.0,xk],[0.0,yk],'g-',lw=l)
	k=k+30

k=0			#razdelki po 15 stopinj
while k<360:
	xz=math.sin(math.radians(k))*0.25
	yz=math.cos(math.radians(k))*0.25
	xk=math.sin(math.radians(k))*0.5
	yk=math.cos(math.radians(k))*0.5
	plt.plot([xz,xk],[yz,yk],'g-',lw=l)
	k=k+15

k=0			#razdelki po 5 stopinj
while k<360:
	xz=math.sin(math.radians(k))*0.5
	yz=math.cos(math.radians(k))*0.5
	xk=math.sin(math.radians(k))
	yk=math.cos(math.radians(k))
	plt.plot([xz,xk],[yz,yk],'g-',lw=l)
	k=k+5

#		r=1.03			#narisi polozaj maksimuma in sirino lista
#		plt.plot([0.0,math.sin(math.radians(km))*r],[0.0,-math.cos(math.radians(km))*r],'y-')
#		plt.plot([0.0,math.sin(math.radians(km1))*r],[0.0,-math.cos(math.radians(km1))*r],'r-')
#		plt.plot([0.0,math.sin(math.radians(km2))*r],[0.0,-math.cos(math.radians(km2))*r],'r-')
#		plt.plot(xx,yy,'b-')	#narisi smerni diagram

plt.axis([-1.05,1.05,-1.05,1.05])
plt.xticks([])
plt.yticks([])
plt.axes().set_aspect('equal')
plt.show()

#konec programa

