#!/usr/bin/python
##### Izracun integrala impedance/smernosti enovalovnega dipola - S53MV 3.12.2017 #####

import math	#uporabljene funkcije

k=0.0001	#korak integracije

i=0		#sestevanje integrala
y=[]		#polja za risanje grafa
x=[]

u=k/2.0-1.0	#integracija v mejah -1<u<1
while u<1:
	c=math.cos(math.pi/2.0*u)	#funkcija
	f=c*c*c*c/(1.0-u*u)
#	print u,f		#vmesni izpis racunanja
	i=i+f
	x=x+[u]			#dodaj tocko v risbo
	y=y+[f]
	u=u+k			#povecaj u za korak

print	'Integral: ',i*k	#izpisi vrednost integrala

import matplotlib.pyplot as plt		#risanje grafa funkcije
plt.plot(x,y,'r-',lw=3)
plt.axis([-1.0,1.0,0.0,1.05])
plt.title(str('Vrednost integrala: %10.6f'%(i*k)))
plt.show()

#konec programa

